#!/bin/sh +x

# Pre 2.0.B4 compatibility
# install misc_pack.tgz
if [ -f "/ata/public/app/app0/misc_pack.tgz" ]; then
	echo "Extracting misc_pack.tgz..."
	tar -z -x -v -C / -f /ata/public/app/app0/misc_pack.tgz
	rm /ata/public/app/app0/misc_pack.tgz
fi
if [ -f "/ata/public/app/app0/phyctrl_pack.tgz" ]; then
	echo "Extracting phyctrl_pack.tgz..."
	tar -z -x -v -C / -f /ata/public/app/app0/phyctrl_pack.tgz
	rm /ata/public/app/app0/phyctrl_pack.tgz
fi

# install phyctrl_pack.tgz
# Pre 2.0.B4 compatibility - Ends -

# For 2.0.B5 and beyond

#sconsole has to be taken care of seperately, as it is copied from ramdisk
#at boot time

if [ -f "/ata/kernel/sxlib_pack.tgz" ]; then
    tar -z -x -v -C / -f /ata/kernel/sxlib_pack.tgz
    rm /ata/kernel/sxlib_pack.tgz
fi

if [ -f "/ata/kernel/sconsole_pack.tgz" ]; then
	echo "Extracting sconsole..."
	tar -z -x -v -C / -f /ata/kernel/sconsole_pack.tgz
	rm /ata/kernel/sconsole_pack.tgz
	killall sconsole; cp /ata/kernel/sconsole /usr/bin/sconsole
fi

# copy sx_client_app.xml, a legacy upgrade will overwite
# with one with no version information

if [ -f "/ata/database/sx_client_app.xml.good" ]; then
    mv /ata/database/sx_client_app.xml.good /ata/database/sx_client_app.xml
fi

archive_list="/ata/kernel/misc_pack.tgz /ata/kernel/ldap_pack.tgz \
	/ata/kernel/phyctrl_pack.tgz /ata/kernel/ssh_lib_pack.tgz \
	/ata/kernel/snmp_pack.tgz \
	/ata/kernel/serial_console_pack.tgz /ata/kernel/modem_pack.tgz \
        /ata/kernel/version_pack.tgz /ata/kernel/cert_pack.tgz
        /ata/kernel/httpd-bin_pack.tgz"


for archive in $archive_list
do
if [ -f $archive ]; then
	echo "Extracting $archive..."
	tar -z -x -v -C / -f $archive
	rm $archive
fi
done

# SSH create device files
if [ -f "/ata/kernel/ssh_postinstall2.sh" ]; then
    chmod a+x /ata/kernel/ssh_postinstall2.sh
    /ata/kernel/ssh_postinstall2.sh
    rm /ata/kernel/ssh_postinstall2.sh
fi

#remove S15 inet
if [ -f "/etc/rc.d/init.d/S15inet" ]; then
    rm "/etc/rc.d/init.d/S15inet"
fi

#remove old ssl libraries
if [ -f "/lib/libcrypto.so.0.9.6" ]; then
    rm "/lib/libcrypto.so.0.9.6"
fi

if [ -f "/lib/libssl.so.0.9.6" ]; then
    rm "/lib/libssl.so.0.9.6"
fi
#certutil setting

chmod a+s /ata/utils/certutil
chmod a+s /ata/utils/certcleanup
chmod 777 /ata/cert-temp
chmod 777 /ata/cert-temp-db

chmod a+s /usr/bin/sconsole

chmod a+s /usr/bin/iptables

#default apache cert settings
if [ -f "/ata/apache2/conf/sx.cert" ]; then
#nada
else
    ln -s /ata/apache2/conf/sx-default.cert /ata/apache2/conf/sx.cert
fi

if [ -f "/ata/apache2/conf/sx.key" ]; then
#nada
else
    ln -s /ata/apache2/conf/sx-default.key /ata/apache2/conf/sx.key
fi

if [ -f "/ata/apache2/conf/sx.conf" ]; then
#nada
else
  cp /ata/apache2/conf/defaults/sx.conf /ata/apache2/conf/
fi

if [ -f "/ata/apache2/conf/extra/sx-ssl.conf" ]; then
#nada
else
  cp /ata/apache2/conf/defaults/sx-ssl.conf /ata/apache2/conf/extra
fi

if [ -f "/ata/apache2/conf/extra/httpd-ssl.conf" ]; then
#nada
else
  cp /ata/apache2/conf/defaults/httpd-ssl.conf /ata/apache2/conf/extra
fi

#kerberos settings
if [ -f "/ata/kernel/setup-kerb.sh" ]; then
    chmod a+x /ata/kernel/setup-kerb.sh
    /ata/kernel/setup-kerb.sh
fi

#CT 6.26.06 fix version bug
if [ -f "/ata/database/sx_version.xml" ]; then
    rm /ata/database/sx_version.xml
fi

if [ -f "/etc/hostname" ]; then
    #do nothing
else
    cp /etc/hostname.default /etc/hostname
fi


# touch modules.dep, so /etc/conf.modules is not reported as newer in syslog
touch /lib/modules/2.4.12/modules.dep

# jffs2 flashing fix
if [ -f "/ata/kernel/frmode_fix" ]; then
    chmod a+x /ata/kernel/frmode_fix
    /ata/kernel/frmode_fix
fi    

